# FoundationClasses
TKMath
TColgp

# TColgp_HSequenceOfXYZ Class Reference

`#include <TColgp_HSequenceOfXYZ.hxx>`

Inheritance diagram for TColgp_HSequenceOfXYZ:

[legend]

## Public Member Functions

| TColgp_HSequenceOfXYZ ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const gp_XYZ &anItem)
Standard_EXPORT void | Append (const Handle(TColgp_HSequenceOfXYZ)&aSequence)
Standard_EXPORT void | Prepend (const gp_XYZ &anItem)
Standard_EXPORT void | Prepend (const Handle(TColgp_HSequenceOfXYZ)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const gp_XYZ &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(TColgp_HSequenceOfXYZ)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const gp_XYZ &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(TColgp_HSequenceOfXYZ)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_TColgp_HSequenceOfXYZ | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const gp_XYZ &anItem)
Standard_EXPORT const gp_XYZ & | Value (const Standard_Integer anIndex) const
Standard_EXPORT gp_XYZ & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const TColgp_SequenceOfXYZ & | Sequence () const
TColgp_SequenceOfXYZ & | ChangeSequence ()
Standard_EXPORT Handle_TColgp_HSequenceOfXYZ | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColgp_SequenceOfXYZ | mySequence

## Constructor & Destructor Documentation

TColgp_HSequenceOfXYZ::TColgp_HSequenceOfXYZ | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TColgp_HSequenceOfXYZ::Append | ( | const Handle(TColgp_HSequenceOfXYZ)& | aSequence | ) |

Standard_EXPORT void TColgp_HSequenceOfXYZ::Append | ( | const gp_XYZ & | anItem | ) |

TColgp_SequenceOfXYZ& TColgp_HSequenceOfXYZ::ChangeSequence | ( |  | ) |

Standard_EXPORT gp_XYZ& TColgp_HSequenceOfXYZ::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColgp_HSequenceOfXYZ::Clear | ( |  | ) |

Standard_EXPORT void TColgp_HSequenceOfXYZ::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const TColgp_HSequenceOfXYZ::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColgp_HSequenceOfXYZ::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(TColgp_HSequenceOfXYZ)& | aSequence
| ) |

Standard_EXPORT void TColgp_HSequenceOfXYZ::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const gp_XYZ & | anItem
| ) |

Standard_EXPORT void TColgp_HSequenceOfXYZ::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(TColgp_HSequenceOfXYZ)& | aSequence
| ) |

Standard_EXPORT void TColgp_HSequenceOfXYZ::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const gp_XYZ & | anItem
| ) |

Standard_Boolean TColgp_HSequenceOfXYZ::IsEmpty | ( |  | ) | const

Standard_Integer TColgp_HSequenceOfXYZ::Length | ( |  | ) | const

Standard_EXPORT void TColgp_HSequenceOfXYZ::Prepend | ( | const Handle(TColgp_HSequenceOfXYZ)& | aSequence | ) |

Standard_EXPORT void TColgp_HSequenceOfXYZ::Prepend | ( | const gp_XYZ & | anItem | ) |

Standard_EXPORT void TColgp_HSequenceOfXYZ::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void TColgp_HSequenceOfXYZ::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColgp_HSequenceOfXYZ::Reverse | ( |  | ) |

const TColgp_SequenceOfXYZ& TColgp_HSequenceOfXYZ::Sequence | ( |  | ) | const

Standard_EXPORT void TColgp_HSequenceOfXYZ::SetValue | ( | const Standard_Integer | anIndex,
|  | const gp_XYZ & | anItem
| ) |

Standard_EXPORT Handle_TColgp_HSequenceOfXYZ TColgp_HSequenceOfXYZ::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_TColgp_HSequenceOfXYZ TColgp_HSequenceOfXYZ::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const gp_XYZ& TColgp_HSequenceOfXYZ::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

TColgp_SequenceOfXYZ TColgp_HSequenceOfXYZ::mySequence `[private]`

The documentation for this class was generated from the following file:

- TColgp_HSequenceOfXYZ.hxx